#pragma once

/***********************************************
 *               Pin Definitions               *
 ***********************************************/

// Buttons
#define RIGHT_ON_BUTTON_PIN 0
#define RIGHT_OFF_BUTTON_PIN 1
#define LEFT_ON_BUTTON_PIN 2
#define LEFT_OFF_BUTTON_PIN 3
#define BUTTON_SHORT_PRESS_TIME_MS 75
#define BUTTON_LONG_PRESS_TIME_MS 600

// Switches
#define RIGHT_STADIUM_LIGHT_SWITCH_PIN 4
#define LEFT_STADIUM_LIGHT_SWITCH_PIN 5
#define GIRLS_TOILET_LIGHT_SWITCH_PIN 6
#define BOYS_TOILET_LIGHT_SWITCH_PIN 7
#define SWITCH_DEBOUNCE_TIME_MS 75

// Output Pins
#define RIGHT_LIGHT_RELAY_PIN 0
#define LEFT_LIGHT_RELAY_PIN 1
#define RIGHT_STADIUM_LIGHT_RELAY_PIN 2
#define LEFT_STADIUM_LIGHT_RELAY_PIN 3
#define RIGHT_FAN_RELAY_PIN 4
#define LEFT_FAN_RELAY_PIN 5
#define GIRLS_TOILET_LIGHT_RELAY_PIN 6
#define BOYS_TOILET_LIGHT_RELAY_PIN 7

/***********************************************
 *              IoT Configuration              *
 ***********************************************/
#define TOPIC_TOILET_LIGHT_LOCK "/toiletlight/lock"
#define TOPIC_GYM_LIGHT_LOCK "/gymlight/lock"

/***********************************************
 *            Display Configuration            *
 ***********************************************/
// UART Configuration
#define INTERNAL_DISPLAY_UART Serial
#define INTERNAL_DISPLAY_BAUDRATE 115200